test_autocomplete.js failures | old but not senior == senior citizen

RESOLVED FIXED in mozilla1.9.3a5

Status

()

defect
RESOLVED FIXED
10 years ago
7 years ago

People

(Reporter: dietrich, Assigned: MattN)

Tracking

({intermittent-failure})

Trunk
mozilla1.9.3a5
Points:
---
Dependency tree / graph
Bug Flags:
in-testsuite +

Firefox Tracking Flags

(status1.9.2 .9-fixed)

Details

()

Attachments

(1 attachment)

TEST-UNEXPECTED-FAIL | e:\builds\moz2_slave\mozilla-central-win32-unittest-everythingelse\build\xpcshell\tests\test_satchel\unit\test_autocomplete.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | e:/builds/moz2_slave/mozilla-central-win32-unittest-everythingelse/build/xpcshell/tests/test_satchel/unit/test_autocomplete.js | old but not senior == senior citizen - See following stack:
TEST-UNEXPECTED-FAIL | (xpcshell/head.js) | FAILED in test #7 -- 2147500036
Whiteboard: [orange]
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258302997.1258308188.8545.gz
WINNT 5.2 mozilla-central debug test everythingelse on 2009/11/15 08:36:37
"s: moz2-win32-slave16"
Blocks: 438871
I got the same problem on a linux x86-64 1.9.2 build. It's absolutely weird, because the test code reads:
        do_check_eq(results.getValueAt(0), "senior citizen");
        do_check_eq(results.getValueAt(1), "old but not senior");

It fails on the first of these 2 lines. But here are the things I tried and got me amazing results:
- If I invert those two lines, the tests pass.
- If I add a "dump(results);" before the first test, the tests pass.
- Even better, if I add an empty commented line ("//") before the first test, the tests pass.
Three empty lines before the first test are also enough.
Running through valgrind makes it reliably pass, while running several times in a row makes it fail 80% of the time for me.
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267189042.1267190341.8343.gz
WINNT 5.2 mozilla-central opt test xpcshell on 2010/02/26 04:57:22
s: win32-slave10
This is clearly a race condition, and it gets worse when JIT is enabled on x86-64.
Summary: test_autocomplete.js failures → test_autocomplete.js failures | old but not senior == senior citizen
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1272623905.1272625609.24307.gz
Linux mozilla-central debug test xpcshell on 2010/04/30 03:38:25
s: moz2-linux-slave27
My mistake, I see the race condition and I'll have a patch up in the next few days.
Assignee: nobody → mmn100+bmo
Status: NEW → ASSIGNED
Patch using expiry date +/- one minute
Attachment #443262 - Flags: review?(dolske)
Attachment #443262 - Flags: review?(dolske) → review+
http://hg.mozilla.org/mozilla-central/rev/17c47bc94015
Status: ASSIGNED → RESOLVED
Closed: 9 years ago
Keywords: checkin-needed
OS: Windows NT → All
Hardware: x86 → All
Resolution: --- → FIXED
Target Milestone: --- → mozilla1.9.3a5
Flags: in-testsuite+
Comment on attachment 443262 [details] [diff] [review]
Patch v.1 +/- one minute

Requesting approval for 1.9.2.9 - I've seen this random orange a few times on the Thunderbird 3.1 tinderboxes and would like to clean it up there.

This is a test-only change.
Attachment #443262 - Flags: approval1.9.2.9?
Comment on attachment 443262 [details] [diff] [review]
Patch v.1 +/- one minute

a=beltzner, test fix
Attachment #443262 - Flags: approval1.9.2.9? → approval1.9.2.9+
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.